[linux-audio-user] Error building qsampler

Rui Nuno Capela rncbc at rncbc.org
Wed Oct 19 17:42:21 EDT 2005


Christoph Eckert wrote:
> Hi,
> 
> 
> I just tried to build qsampler 0.1.2. Unfortunately it failed, 
> regardless if I try to use the Gentoo ebuild or the source from 
> sourceforge.
> 
> I tried to google for the error messages but I didn't get any results so 
> far. I get the following error:
> 
> src/qsamplerDevice.cpp: In static member function `static QStringList
>    qsamplerDevice::getDrivers(lscp_client_t*,
>    qsamplerDevice::qsamplerDeviceType)':
> src/qsamplerDevice.cpp:646: error: `::lscp_list_available_audio_drivers'
>    undeclared (first use here)
> src/qsamplerDevice.cpp:649: error: `::lscp_list_available_midi_drivers'
>    undeclared (first use here)
> make[1]: *** [qsamplerDevice.o]
> 
> Anyone did see something similar? If so, any hint would be great.
> 
> BTW: I'm using qt-3.3.3.
> 

I all looks like you're using an ancient liblscp install. Please, try to 
upgrade to the latest, liblscp 0.3.2. Oh, and the lastest from qsampler 
CVS HEAD is recommended too ;)

Cheers.
-- 
rncbc aka Rui Nuno Capela
rncbc at rncbc.org


More information about the linux-audio-user mailing list